hpp-python: pyhpp::constraints::DFWrapper Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
pyhpp::constraints::DFWrapper Struct Reference
Inheritance diagram for pyhpp::constraints::DFWrapper:
[legend]
Collaboration diagram for pyhpp::constraints::DFWrapper:
[legend]

## Public Types
typedef hpp::shared_ptr< DFWrapper > | Ptr_t

## Public Member Functions
| DFWrapper (size_type sizeInput, size_type sizeInputDerivative, size_type sizeOutput, std::string name)
void | impl_compute (LiegroupElementRef result, vectorIn_t argument) const
void | impl_jacobian (matrixOut_t jacobian, vectorIn_t arg) const
Public Member Functions inherited from hpp::constraints::DifferentiableFunction
virtual | ~DifferentiableFunction ()
LiegroupElement | operator() (vectorIn_t argument) const
void | value (LiegroupElementRef result, vectorIn_t argument) const
void | jacobian (matrixOut_t jacobian, vectorIn_t argument) const
const ArrayXb & | activeParameters () const
const ArrayXb & | activeDerivativeParameters () const
size_type | inputSize () const
size_type | inputDerivativeSize () const
LiegroupSpacePtr_t | outputSpace () const
size_type | outputSize () const
size_type | outputDerivativeSize () const
const std::string & | name () const
virtual std::ostream & | print (std::ostream &o) const
std::string | context () const
void | context (const std::string &c)
void | finiteDifferenceForward (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
void | finiteDifferenceCentral (matrixOut_t jacobian, vectorIn_t arg, DevicePtr_t robot=DevicePtr_t(), value_type eps=std::sqrt(Eigen::NumTraits< value_type >::epsilon())) const
bool | operator== (DifferentiableFunction const &other) const
bool | operator!= (DifferentiableFunction const &b) const
virtual std::pair< JointConstPtr_t, JointConstPtr_t > | dependsOnRelPoseBetween (DeviceConstPtr_t) const

## Static Public Member Functions
static void | value_wrap (const DifferentiableFunction &f, LiegroupElement &lge, const Configuration_t &q)
static void | jacobian_wrap (const DifferentiableFunction &f, matrixOut_t J, const Configuration_t &q)
static LiegroupElement | py_value (const DifferentiableFunction &f, const Configuration_t &q)
static matrix_t | py_jacobian (const DifferentiableFunction &f, const Configuration_t &q)
Static Public Member Functions inherited from hpp::constraints::DifferentiableFunction
static DifferentiableFunctionPtr_t | extract (DifferentiableFunctionPtr_t original, interval_t interval)

## Additional Inherited Members
Protected Member Functions inherited from hpp::constraints::DifferentiableFunction
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, size_type sizeOutput, std::string name=std::string())
| DifferentiableFunction (size_type sizeInput, size_type sizeInputDerivative, const LiegroupSpacePtr_t &outputSpace, std::string name=std::string())
virtual bool | isEqual (const DifferentiableFunction &other) const
| DifferentiableFunction ()
Protected Attributes inherited from hpp::constraints::DifferentiableFunction
size_type | inputSize_
size_type | inputDerivativeSize_
LiegroupSpacePtr_t | outputSpace_
ArrayXb | activeParameters_
ArrayXb | activeDerivativeParameters_

## Member Typedef Documentation

## ◆ Ptr_t

typedef hpp::shared_ptr<DFWrapper> pyhpp::constraints::DFWrapper::Ptr_t

## Constructor & Destructor Documentation

## ◆ DFWrapper()

pyhpp::constraints::DFWrapper::DFWrapper | ( | size_type | sizeInput,
|  | size_type | sizeInputDerivative,
|  | size_type | sizeOutput,
|  | std::string | name )
| inline

## Member Function Documentation

## ◆ impl_compute()

void pyhpp::constraints::DFWrapper::impl_compute | ( | LiegroupElementRef | result,
|  | vectorIn_t | argument ) const
| inlinevirtual

Implements hpp::constraints::DifferentiableFunction.

## ◆ impl_jacobian()

void pyhpp::constraints::DFWrapper::impl_jacobian | ( | matrixOut_t | jacobian,
|  | vectorIn_t | arg ) const
| inlinevirtual

Implements hpp::constraints::DifferentiableFunction.

## ◆ jacobian_wrap()

static void pyhpp::constraints::DFWrapper::jacobian_wrap | ( | const DifferentiableFunction & | f,
|  | matrixOut_t | J,
|  | const Configuration_t & | q )
| inlinestatic

## ◆ py_jacobian()

static matrix_t pyhpp::constraints::DFWrapper::py_jacobian | ( | const DifferentiableFunction & | f,
|  | const Configuration_t & | q )
| inlinestatic

## ◆ py_value()

static LiegroupElement pyhpp::constraints::DFWrapper::py_value | ( | const DifferentiableFunction & | f,
|  | const Configuration_t & | q )
| inlinestatic

## ◆ value_wrap()

static void pyhpp::constraints::DFWrapper::value_wrap | ( | const DifferentiableFunction & | f,
|  | LiegroupElement & | lge,
|  | const Configuration_t & | q )
| inlinestatic

The documentation for this struct was generated from the following file:

- src/pyhpp/constraints/differentiable-function.cc